org.eclipse.oomph.setup

## Interface Installation

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    InstallationImpl

      public interface Installation
      extends Scope

  A representation of the model object 'Installation'.

  The following features are supported:

  - `Product Version`
  See Also:
    `SetupPackage.getInstallation()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductVersion` | `getProductVersion()` Returns the value of the 'Product Version' reference.
    `void` | `setProductVersion(ProductVersion value)` Sets the value of the '`Product Version`' reference.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProductVersion

          ProductVersion getProductVersion()

      Returns the value of the 'Product Version' reference.

      If the meaning of the 'Product Version' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Product Version' reference.
      See Also:
        `setProductVersion(ProductVersion)`, `SetupPackage.getInstallation_ProductVersion()`
      Generated
      Model
        required="true"

    - #### setProductVersion

          void setProductVersion(ProductVersion value)

      Sets the value of the '`Product Version`' reference.
      Parameters:
        `value` - the new value of the 'Product Version' reference.
      See Also:
        `getProductVersion()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html